Bug 55098 - Auto-ejecting the cdrom cannot be suppressed
Auto-ejecting the cdrom cannot be suppressed
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 11:16 EDT by Manfred Hollstein
Modified: 2007-04-18 12:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 12:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Manfred Hollstein 2001-10-25 11:16:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
I have this in my /etc/modules.conf:

options cdrom autoeject=0 debug=1

and in fact, /proc/sys/dev/cdrom/autoeject shows 0, but umount'ing
/mnt/cdrom ejects the tray, which is very annoying as the computer
stands next to my right knee...

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Put CD into drive
2.mount /mnt/cdrom
3.umount /mnt/cdrom
	

Actual Results:  The tray is ejected even though /etc/modules.conf and
/proc/sys/dev/cdrom/autoeject say different.

Expected Results:  The tray should not eject!

Additional info:

I'm running the IDE-SCSI emulation on top of the /dev/hdd drive. This
is achieved by putting the following into /etc/modules.conf

alias scsi_hostadapter ide-scsi

and this into /boot/grub/grub.conf:

  kernel /vmlinuz-2.4.9-7 ro root=/dev/md1 hdd=ide-scsi

By looking at the output from /var/log/messages below, it is clearly
wrong that cdrom_open is called twice! This doesn't happen on another
machine which is running 7.1 with all erratas installed:

Oct 25 16:59:46 saturn kernel: Attached scsi CD-ROM sr0 at scsi0, channel
0, id 0, lun 0
Oct 25 16:59:46 saturn kernel: sr0: scsi3-mmc drive: 40x/40x cd/rw xa/form2
cdda tray
Oct 25 16:59:46 saturn kernel: cdrom: entering register_cdrom
Oct 25 16:59:46 saturn kernel: Uniform CD-ROM driver Revision: 3.12
Oct 25 16:59:46 saturn kernel: cdrom: drive "/dev/sr0" registered
Oct 25 16:59:46 saturn kernel: cdrom: entering cdrom_open
Oct 25 16:59:46 saturn kernel: cdrom: entering open_for_data
Oct 25 16:59:46 saturn kernel: cdrom: drive_status=4
Oct 25 16:59:46 saturn kernel: cdrom: entering cdrom_count_tracks
Oct 25 16:59:46 saturn kernel: cdrom: track 1: format=2, ctrl=4
Oct 25 16:59:46 saturn kernel: cdrom: disc has 1 tracks: 0=audio 1=data
0=Cd-I 0=XA
Oct 25 16:59:46 saturn kernel: cdrom: all seems well, opening the device.
Oct 25 16:59:46 saturn kernel: cdrom: opening the device gave me 0.
Oct 25 16:59:46 saturn kernel: cdrom: door locked.
Oct 25 16:59:46 saturn kernel: cdrom: device opened successfully.
Oct 25 16:59:46 saturn kernel: cdrom: Use count for "/dev/sr0" now 1
Oct 25 16:59:46 saturn kernel: cdrom: entering CDROMMULTISESSION
Oct 25 16:59:46 saturn kernel: cdrom: CDROMMULTISESSION successful
Oct 25 16:59:48 saturn kernel: cdrom: entering cdrom_open
Oct 25 16:59:48 saturn kernel: cdrom: Use count for "/dev/sr0" now 2
Oct 25 16:59:48 saturn kernel: cdrom: entering CDROM_DRIVE_STATUS
Oct 25 16:59:48 saturn kernel: cdrom: entering cdrom_release
Oct 25 16:59:48 saturn kernel: cdrom: entering cdrom_open
Oct 25 16:59:48 saturn kernel: cdrom: Use count for "/dev/sr0" now 2
Oct 25 16:59:48 saturn kernel: cdrom: entering CDROM_DISC_STATUS
Oct 25 16:59:48 saturn kernel: cdrom: entering cdrom_count_tracks
Oct 25 16:59:48 saturn kernel: cdrom: track 1: format=2, ctrl=4
Oct 25 16:59:48 saturn kernel: cdrom: disc has 1 tracks: 0=audio 1=data
0=Cd-I 0=XA
Oct 25 16:59:48 saturn kernel: cdrom: entering cdrom_release
Oct 25 16:59:54 saturn kernel: cdrom: entering cdrom_release
Oct 25 16:59:54 saturn kernel: cdrom: Use count for "/dev/sr0" now zero
Oct 25 16:59:54 saturn kernel: cdrom: Unlocking door!
Oct 25 16:59:54 saturn kernel: cdrom: entering cdrom_open
Oct 25 16:59:54 saturn kernel: cdrom: Use count for "/dev/sr0" now 1
Oct 25 16:59:54 saturn kernel: cdrom: entering cdrom_release
Oct 25 16:59:54 saturn kernel: cdrom: Use count for "/dev/sr0" now zero
Oct 25 16:59:54 saturn kernel: cdrom: Unlocking door!
Oct 25 16:59:54 saturn kernel: cdrom: entering cdrom_open
Oct 25 16:59:54 saturn kernel: cdrom: Use count for "/dev/sr0" now 1
Oct 25 16:59:54 saturn kernel: cdrom: entering CDROMEJECT
Oct 25 16:59:59 saturn kernel: cdrom: entering cdrom_release
Oct 25 16:59:59 saturn kernel: cdrom: Use count for "/dev/sr0" now zero
Oct 25 16:59:59 saturn kernel: cdrom: Unlocking door!
Comment 1 Arjan van de Ven 2001-10-25 12:13:55 EDT
are you running magicdev or autorun ?
Comment 2 Manfred Hollstein 2001-10-25 12:30:20 EDT
No, I'm not running any of them. Just plain driver and manual mount/umount.
Comment 3 Manfred Hollstein 2001-12-18 03:40:46 EST
I've kicked my NVidia graphics card recently including those binary-only drivers
from them. Guess what? The cdrom tray now no longer ejects when I umount it ;-)

Note You need to log in before you can comment on or make changes to this bug.